package com.mvc.dao;

import com.mvc.entity.DeviceAcc;
import com.mvc.entity.DeviceAccExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DeviceAccMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    long countByExample(DeviceAccExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    int deleteByExample(DeviceAccExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    int insert(DeviceAcc record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    int insertSelective(DeviceAcc record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    List<DeviceAcc> selectByExample(DeviceAccExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    DeviceAcc selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    int updateByExampleSelective(@Param("record") DeviceAcc record, @Param("example") DeviceAccExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    int updateByExample(@Param("record") DeviceAcc record, @Param("example") DeviceAccExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    int updateByPrimaryKeySelective(DeviceAcc record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-14 19:01:09
     */
    int updateByPrimaryKey(DeviceAcc record);
}